"""
URL configuration for educheck project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from django.urls import include
from .views import user_profile
from .views import health_check
from .views import error_code_map

urlpatterns = [
    path('admin/', admin.site.urls),
    path('ec_user/', include('ec_user.urls')),
    path('diagnose/', include('diagnose.urls')),
    
    path('health/', health_check, name='health_check'),
    path('error_code_map/', error_code_map, name='error_code_map'), 

    path('user_profile/<int:user_id>/', user_profile, name='user_profile'),
    path('auth/', include('authentication.urls')),
]
